import httputils from '@/api/httputils'
// 查询广场概况
export function queryFact({ getParams }) {
    return httputils.getJson(`/data/plaza/fact`, getParams)
}
// 根据类型统计说明书更新记录数量
export function queryRecordCount({ getParams }) {
    return httputils.getJson(`/data/rpt_change_record/queryObjTypeCount`, getParams)
}
// 查询事件类型下拉菜单
export function queryEventypes({ data, postParams }) {
    return httputils.fetchJson(`/data/base/queryOptions`, data, postParams)
}
// 说明书变更记录
export function getChangeList({ getParams }) {
    return httputils.getJson(`/data/rpt_change_record/query`, getParams)
}
/**
 * 变更记录详情接口
 *
 */
// 1. 维保
export function getUpdateDetail1({ getParams }) {
    return httputils.getJson(`/data/sms_wbsms/query`, getParams)
}
// 2.维修
export function getUpdateDetail4({ getParams }) {
    return httputils.getJson(`/data/sms_wx/query`, getParams)
}
// 其他事项
export function getUpdateDetail5({ getParams }) {
    return httputils.getJson(`/data/sms_qtsx/query`, getParams)
}
// 综合事项
export function getUpdateDetail3({ getParams }) {
    return httputils.getJson(`/data/sms_zhsxjl/query`, getParams)
}